### Method

# Clapper Queue add_item

#### Declaration [src]

    void
    clapper_queue_add_item (
      ClapperQueue* queue,
      ClapperMediaItem* item
    )

#### Description [src]

Add another `ClapperMediaItem` to the end of queue.

If item is already in queue, this function will do nothing, so it is safe to call multiple times if unsure.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem`.

  The data is owned by the caller of the method.